The BOOST_PP_ENUM_BINARY_PARAMS macro generates a comma-separated list of binary parameters.

#### Usage

BOOST_PP_ENUM_BINARY_PARAMS(count, p1, p2)

#### Arguments

count
  The number of parameters to generate. Valid values range from 0 to BOOST_PP_LIMIT_REPEAT.
p1
  The text of the first part of the parameter. BOOST_PP_ENUM_BINARY_PARAMS concatenates numbers ranging from 0 to count - 1 to generate parameters.
p2
  The text of the first part of the parameter. BOOST_PP_ENUM_BINARY_PARAMS concatenates numbers ranging from 0 to count - 1 to generate parameters.

#### Remarks

This macro expands to the comma-separated sequence:
p1 ## 0 p2 ## 0, p1 ## 1 p2 ## 1, ... p1 ## count - 1 p2 ## count - 1
To use the z parameter passed from other macros that use BOOST_PP_REPEAT, see BOOST_PP_ENUM_BINARY_PARAMS_Z.
This macro is a replacement for both BOOST_PP_ENUM_PARAMS_WITH_A_DEFAULT and BOOST_PP_ENUM_PARAMS_WITH_DEFAULTS.

#### See Also

- BOOST_PP_ENUM_BINARY_PARAMS_Z
- BOOST_PP_ENUM_PARAMS_WITH_A_DEFAULT
- BOOST_PP_ENUM_PARAMS_WITH_DEFAULTS
- BOOST_PP_LIMIT_REPEAT

#### Requirements

Header: <boost/preprocessor/repetition/enum_binary_params.hpp>

#### Sample Code

    #include <boost/preprocessor/repetition/enum_binary_params.hpp>

    BOOST_PP_ENUM_BINARY_PARAMS(3, T, p) // expands to T0 p0, T1 p1, T2 p2